stretch_blit(3)

NAME
stretch_blit

SYNOPSIS
#include <allegro.h>

void stretch_blit(BITMAP *source, BITMAP *dest, int source_x, source_y, source_width, source_height, int dest_x, dest_y, dest_width, dest_height);

DESCRIPTION
Like blit(), except it can scale images so the source and destination rectangles don't need to be the same size. This routine doesn't do as much safety checking as the regular blit: in particular you must take care not to copy from areas outside the source bitmap, and you cannot blit between overlapping regions, ie. you must use different bitmaps for the source and the destination. Also, the source must be a memory bitmap or sub-bitmap, not the hardware screen.

SEE ALSO
blit(3), masked_stretch_blit(3), stretch_sprite(3)